From a5b3fe49e05bfe7303e5fa75687b845a4c92efb1 Mon Sep 17 00:00:00 2001
From: Justin Pryzby <pryzbyj@telsasoft.com>
Date: Fri, 31 Dec 2021 13:49:09 -0600
Subject: [PATCH 04/10] fix compiler warnings

---
 src/common/z_stream.c | 18 +++++++-----------
 1 file changed, 7 insertions(+), 11 deletions(-)

diff --git a/src/common/z_stream.c b/src/common/z_stream.c
index 6f490ebe781..ace88ad566b 100644
--- a/src/common/z_stream.c
+++ b/src/common/z_stream.c
@@ -383,7 +383,7 @@ static ssize_t
 zlib_compress(void *c_stream, void const *src, size_t src_size, size_t *src_processed, void *dst, size_t dst_size, size_t *dst_processed)
 {
 	z_stream   *cs = (z_stream *) c_stream;
-	int			rc;
+	int			rc PG_USED_FOR_ASSERTS_ONLY;
 	unsigned	deflate_pending = 0;
 
 
@@ -530,15 +530,12 @@ lz4_create_decompressor()
 static ssize_t
 lz4_decompress(void *d_stream, void const *src, size_t src_size, size_t *src_processed, void *dst, size_t dst_size, size_t *dst_processed)
 {
-    ZS_LZ4_DStream  *ds = (ZS_LZ4_DStream *) d_stream;
-    Assert(src_size > 0);
-
-    char* const decPtr = &ds->buf[ds->buf_pos];
-
-    const int decBytes = LZ4_decompress_safe_continue(
+	ZS_LZ4_DStream  *ds = (ZS_LZ4_DStream *) d_stream;
+	char *const decPtr = &ds->buf[ds->buf_pos];
+	const int decBytes = LZ4_decompress_safe_continue(
             ds->stream, src, decPtr, (int) src_size, (int) dst_size);
 
-    Assert(decBytes > 0);
+	Assert(decBytes > 0);
 
     *dst_processed = decBytes;
     *src_processed = src_size;
@@ -558,16 +555,15 @@ static ssize_t
 lz4_compress(void *c_stream, void const *src, size_t src_size, size_t *src_processed, void *dst, size_t dst_size, size_t *dst_processed)
 {
     ZS_LZ4_CStream  *cs = (ZS_LZ4_CStream *) c_stream;
+	int cmpBytes;
 
     src_size = Min(MESSAGE_MAX_BYTES, src_size);
 
-    Assert(src_size > 0);
-
     memcpy((char *) (cs->buf) + cs->buf_pos, src, src_size);	/* write msg length */
 
     Assert(dst_size >= LZ4_compressBound(src_size));
 
-    const int cmpBytes = LZ4_compress_fast_continue(
+	cmpBytes = LZ4_compress_fast_continue(
             cs->stream, (char *) (cs->buf) + cs->buf_pos, dst, (int) src_size, (int) dst_size, 1);
 
     Assert(cmpBytes > 0);
-- 
2.17.1

